{ pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    # IDEs
    jetbrains.rust-rover
    jetbrains.webstorm
    vscodium # TODO set up extensions
    # Tools
    git
    rustup
    nodejs
    pnpm
    gcc # Required for C, Rust and others
    # Formatters
    nixd
  ];

  virtualisation.docker = {
    enable = true;
    storageDriver = "btrfs";
    rootless = {
      enable = true;
      setSocketVariable = true;
    };
  };
}
